#
# Makefile generated by MKF configure script
#

all: _Generic/RegisterFile/RegisterFile_Monolithic/SelfTest Generic/Select/Priority_Fixed/SelfTest _Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Pattern_History_Table/SelfTest

_Generic/RegisterFile/RegisterFile_Monolithic/SelfTest:
	gmake all -C Generic/RegisterFile/RegisterFile_Monolithic/SelfTest

Generic/Select/Priority_Fixed/SelfTest:

_Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Pattern_History_Table/SelfTest:
	gmake all -C Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Pattern_History_Table/SelfTest

clean:
	gmake clean -C Generic/RegisterFile/RegisterFile_Monolithic/SelfTest
	gmake clean -C Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Pattern_History_Table/SelfTest

re: clean all

install:
	gmake install -C Generic/RegisterFile/RegisterFile_Monolithic/SelfTest
	gmake install -C Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Pattern_History_Table/SelfTest

